﻿@model Avira.MarketingResearch.Model.ViewModels.CompanyProfile.MainCompanyOtherInfoInsertUpdateViewModel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithCompanyTabAndLeftMenu.cshtml";
}
<h2>Index</h2>
@using (Html.BeginForm("Index", "CompanyOtherInfo", FormMethod.Post, new { id = "ComOthInfo", name = "ComOthInfo", @class = "" }))
{
    
<div id="content" class="content" style="margin-top:25px;">  
    <div class="section-with-top-border">
        <div class="row">
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Project Name: @ViewBag.ProjectName</h5>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Company Name: @ViewBag.CompanyName</h5>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Status: @ViewBag.StatusName</h5>
                </div>
            </div>
        </div>
    </div>
    <div class="section-container section-with-top-border p-b-10">
        @if (ViewBag.Message != string.Empty)
        {
            <div class="alert alert-danger alert-bordered show m-b-10">
                <strong>Info!</strong>
                @ViewBag.Message
                <span class="close" data-dismiss="alert">×</span>
            </div>
        }
        @Html.HiddenFor(Model => Model.CompanyId)
        @Html.HiddenFor(Model => Model.ProjectId)
        @for (int k = 0; k < Model.companyOtherInfoInsertUpdateViewModel.Count; k++)
        {
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <h4 class="panel-title">@Html.TextBoxFor(Model => Model.companyOtherInfoInsertUpdateViewModel[k].TableInfoName, new { @class = "form-control" })</h4>
                        </div>
                        @Html.HiddenFor(Model => Model.companyOtherInfoInsertUpdateViewModel[k].Id)
                        @Html.HiddenFor(Model => Model.companyOtherInfoInsertUpdateViewModel[k].CompanyId,Model.CompanyId)
                        @Html.TextAreaFor(Model => Model.companyOtherInfoInsertUpdateViewModel[k].Description, 4, 3, htmlAttributes: new { @class = "form-control", @rows = "10" })
                        <script>
                            CKEDITOR.replace('companyOtherInfoInsertUpdateViewModel[k].Description', {
                                height: 40,
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },
                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },

                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>

                    </div>

                </div>
            </div>
        }
    </div>
 
    <!-- part-01 -->
    <div class="section-with-top-border p-b-10 p-t-25">
        <div class="row m-b-25">
            <div class="col-md-6">
                <h4>Add Table</h4>
                @*<button class="btn btn-rounded btn-grey ">Insert Table</button>*@
                <button type="submit" name="actionName" value="AddTable" class="btn btn-grey m-b-5"><i class="fas fa-plus-circle" id="strow"></i></button>
            </div>
        </div>
    </div>
    <!-- part-01 -->
    <!-- part-02 -->
    <!-- begin section-container -->
    <div class="section-with-top-border p-b-5">
        <div class="row">
            <!-- begin col-6 -->
            <div class="col-lg-6">
                <div class="panel panel-info" data-sortable-id="ui-widget-8">
                    <div class="panel-heading">
                        <div class="panel-heading-btn">
                            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                               data-click="panel-expand"><i class="fa fa-expand"></i></a>
                        </div>
                        <h4 class="panel-title">Author Notes <span class="text-danger">*</span></h4>
                    </div>
                    @Html.TextAreaFor(model => model.CompanyNoteViewModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                    <script>
                        CKEDITOR.replace('CompanyNoteViewModel.AuthorRemark', {
                            height: 40,
                            toolbarGroups: [{
                                "name": "basicstyles",
                                "groups": ["basicstyles"]
                            },
                            {
                                "name": "links",
                                "groups": ["links"]
                            },
                            {
                                "name": "paragraph",
                                "groups": ["list", "blocks"]
                            },

                            {
                                "name": "document",
                                "groups": ["mode"]
                            },
                            {
                                "name": "insert",
                                "groups": ["insert"]
                            },
                            {
                                "name": "styles",
                                "groups": ["styles"]
                            },
                            {
                                "name": "about",
                                "groups": ["about"]
                            }
                            ],
                            removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                        });
                    </script>

                </div>
            </div>
            <!-- end col-6 -->
            <!-- begin col-6 -->
            <div class="col-lg-6">
                <div class="panel panel-info" data-sortable-id="ui-widget-8">
                    <div class="panel-heading">
                        <div class="panel-heading-btn">
                            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                               data-click="panel-expand"><i class="fa fa-expand"></i></a>
                        </div>
                        <h4 class="panel-title">Approver Notes</h4>
                    </div>
                    @Html.TextAreaFor(model => model.CompanyNoteViewModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                    <script>
                        CKEDITOR.replace('CompanyNoteViewModel.ApproverRemark', {
                            height: 40,
                            toolbarGroups: [{
                                "name": "basicstyles",
                                "groups": ["basicstyles"]
                            },
                            {
                                "name": "links",
                                "groups": ["links"]
                            },
                            {
                                "name": "paragraph",
                                "groups": ["list", "blocks"]
                            },

                            {
                                "name": "document",
                                "groups": ["mode"]
                            },
                            {
                                "name": "insert",
                                "groups": ["insert"]
                            },
                            {
                                "name": "styles",
                                "groups": ["styles"]
                            },
                            {
                                "name": "about",
                                "groups": ["about"]
                            }
                            ],
                            removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                        });
                    </script>
                </div>
            </div>
        </div>
        <!-- end row -->
    </div>
    <!-- end section-container --> 
    @Html.Partial("~/Views/Shared/_CompanyAction.cshtml")
</div>
    }

